using System.Collections;
using System.Collections.Generic;
using LitJson;
using Wizard.Scripts.Network.Data.TaskData.Arena;

namespace Wizard;

public class SelectSkinCardInfo
{
	public int CardId { get; private set; }

	public CardBasePrm.ClanType Class { get; private set; }

	public int SkinId { get; private set; }

	public bool HasSkin { get; private set; }

	public List<Wizard.Scripts.Network.Data.TaskData.Arena.Reward> RewardList { get; private set; }

	public SelectSkinCardInfo(JsonData data, CardBasePrm.ClanType classType)
	{
		CardId = data["card_id"].ToInt();
		Class = classType;
		SkinId = data["leader_skin_id"].ToInt();
		HasSkin = data["has_leader_skin"].ToBoolean();
		RewardList = new List<Wizard.Scripts.Network.Data.TaskData.Arena.Reward>();
		if (!data.TryGetValue("reward_list", out var value))
		{
			return;
		}
		foreach (JsonData item in (IEnumerable)value)
		{
			RewardList.Add(new Wizard.Scripts.Network.Data.TaskData.Arena.Reward(item));
		}
	}
}
